<?php

use Illuminate\Database\Seeder;

class RateSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $array = [
            ["weight" => 1, "operator" => "<", "rate" => 30, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 1, "operator" => "=", "rate" => 35, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 2, "operator" => "=", "rate" => 50, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 3, "operator" => "=", "rate" => 60, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 4, "operator" => "=", "rate" => 70, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 5, "operator" => "=", "rate" => 80, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 6, "operator" => "=", "rate" => 90, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 7, "operator" => "=", "rate" => 105, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 8, "operator" => "=", "rate" => 115, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 9, "operator" => "=", "rate" => 125, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 10, "operator" => "=", "rate" => 140, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 11, "operator" => "=", "rate" => 150, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 12, "operator" => "=", "rate" => 160, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 13, "operator" => "=", "rate" => 175, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 14, "operator" => "=", "rate" => 185, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 15, "operator" => "=", "rate" => 195, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 16, "operator" => "=", "rate" => 205, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 17, "operator" => "=", "rate" => 220, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 18, "operator" => "=", "rate" => 230, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 19, "operator" => "=", "rate" => 240, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 20, "operator" => "=", "rate" => 250, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 21, "operator" => "=", "rate" => 265, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 22, "operator" => "=", "rate" => 275, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 23, "operator" => "=", "rate" => 285, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 24, "operator" => "=", "rate" => 300, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 25, "operator" => "=", "rate" => 315, "medium" => "sea", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 1, "operator" => "<", "rate" => 50, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 1, "operator" => "=", "rate" => 55, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 2, "operator" => "=", "rate" => 75, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 3, "operator" => "=", "rate" => 95, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 4, "operator" => "=", "rate" => 115, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 5, "operator" => "=", "rate" => 130, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 6, "operator" => "=", "rate" => 145, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 7, "operator" => "=", "rate" => 165, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 8, "operator" => "=", "rate" => 180, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 9, "operator" => "=", "rate" => 200, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 10, "operator" => "=", "rate" => 215, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 11, "operator" => "=", "rate" => 235, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 12, "operator" => "=", "rate" => 255, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 13, "operator" => "=", "rate" => 270, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 14, "operator" => "=", "rate" => 290, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 15, "operator" => "=", "rate" => 315, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 16, "operator" => "=", "rate" => 325, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 17, "operator" => "=", "rate" => 345, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 18, "operator" => "=", "rate" => 365, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 19, "operator" => "=", "rate" => 380, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 20, "operator" => "=", "rate" => 400, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 21, "operator" => "=", "rate" => 415, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 22, "operator" => "=", "rate" => 435, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 23, "operator" => "=", "rate" => 455, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 24, "operator" => "=", "rate" => 470, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 25, "operator" => "=", "rate" => 495, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "local"],
            ["weight" => 1, "operator" => "=", "rate" => 8, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 2, "operator" => "=", "rate" => 8, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 3, "operator" => "=", "rate" => 8, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 4, "operator" => "=", "rate" => 8, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 5, "operator" => "=", "rate" => 8, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 6, "operator" => "=", "rate" => 8, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 7, "operator" => "=", "rate" => 8, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 8, "operator" => "=", "rate" => 8, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 9, "operator" => "=", "rate" => 8, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 10, "operator" => "=", "rate" => 8, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 11, "operator" => "=", "rate" => 7, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 12, "operator" => "=", "rate" => 7, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 13, "operator" => "=", "rate" => 7, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 14, "operator" => "=", "rate" => 7, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 15, "operator" => "=", "rate" => 7, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 16, "operator" => "=", "rate" => 7, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 17, "operator" => "=", "rate" => 7, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 18, "operator" => "=", "rate" => 7, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 19, "operator" => "=", "rate" => 7, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 20, "operator" => "=", "rate" => 7, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 21, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 22, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 23, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 24, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 25, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 26, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 27, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 28, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 29, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 30, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 31, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 32, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 33, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 34, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 35, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 36, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 37, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 38, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 39, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 40, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 41, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 42, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 43, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 44, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
            ["weight" => 45, "operator" => "=", "rate" => 6, "medium" => "air", "from_id" => 455, "to_id" => "*", "type" => "international"],
        ];

        foreach ($array as $item){
            $rate = new \App\Models\Rate($item);
            $rate->save();
        }
    }
}
